Bug 1408326 - build perl-EV for EPEL7
Summary: build perl-EV for EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-EV
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1406558
TreeView+ depends on / blocked
 
Reported: 2016-12-22 22:58 UTC by Carl George
Modified: 2018-01-02 15:58 UTC (History)
3 users (show)

Fixed In Version: perl-EV-4.15-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 15:58:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2016-12-22 22:58:56 UTC
I'm a co-maintainer of uwsgi in Fedora and EPEL.  Uwsgi has a subpackage for a coroae plugin, but it is disabled on EPEL7 because it needs perl-Coro, which needs this package.  Please consider adding an EPEL7 branch for perl-EV so that I can enable the uwsgi-plugin-coroae subpackage for EPEL7.

Comment 1 Emmanuel Seyman 2016-12-25 18:00:34 UTC
Carl, say that you're willing to maintain it and I'll request the branch be created.

Comment 2 Carl George 2016-12-26 04:59:17 UTC
Sure thing, I'll be happy to maintain the EPEL7 branch.  Might as well add me to the EPEL6 branch as well.

Comment 3 Emmanuel Seyman 2016-12-26 22:11:50 UTC
Done.

Comment 4 Carl George 2017-01-02 20:05:21 UTC
I'd like to keep this open until I've completed the build.

Comment 5 Garri 2017-12-04 19:26:31 UTC
Hi Carl!

Do you have any progress? We are migrating third party application from CentOS 6 to 7 and found that perl-EV no longer available for EL7 on EPEL. At the moment we are using the package from PUIAS Unsupported [1].

Many thanks!


[1] http://springdale.math.ias.edu/wiki/YumRepositories7

Comment 6 Fedora Update System 2017-12-04 21:09:23 UTC
perl-EV-4.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f7e014081f

Comment 7 Carl George 2017-12-04 21:14:14 UTC
Sorry about the delay Garri, I started work on this but it had fallen off my radar for more pressing matters.  I just submitted the package in bodhi.

Comment 8 Fedora Update System 2017-12-09 06:55:51 UTC
perl-EV-4.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f7e014081f

Comment 9 Fedora Update System 2018-01-02 15:58:39 UTC
perl-EV-4.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.